Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
rob_fmttm Posted on 25/03/2020 12:53
Early Bird Season Ticket Extended
 
The period for Season Card and Hospitality renewals and purchases was due to end on April 9, but we can confirm that the Early Bird deadline has now been extended until further notice.

The Ticket Office is closed, but Season Card renewals and purchases can be completed online.

Alternatively, supporters can email ticket@mfc.co.uk and we will contact you.

The retail store at the Riverside Stadium is also closed. Orders can still be made online but these will take time to process.

The stadium and training ground are both closed until further notice.

Link: extension
IP: Logged
Cooper6711 Posted on 25/03/2020 13:06

Early Bird Season Ticket Extended
Rob can you approve my new registration on the new board seen as my other one has mysteriously corrupted
IP: Logged
easy_livin Posted on 25/03/2020 13:55

Early Bird Season Ticket Extended
Great news, the club emailed me earlier and was just about to post.
TBH The EB pricing is now redundant and should be taken forward as an incentive to encourage all sales as I can't see many paying the higher price once were through this virus millstone.
IP: Logged
plazmuh Posted on 25/03/2020 14:31

Early Bird Season Ticket Extended
When it eventally dawns on football That there

wont be any for years Maybe the coin will drop..

A lot of clubs will struggle to repay the ST holders

for this year Let alone next season..

But thats greedy football for you..
IP: Logged
since1970 Posted on 25/03/2020 19:21

Early Bird Season Ticket Extended
Well done MFC [^]
IP: Logged
The_Downing_Wave Posted on 25/03/2020 19:37

Early Bird Season Ticket Extended
Yesterday the gazette said it was outside of the clubís control [:o)]
IP: Logged
MightyDuck Posted on 25/03/2020 20:23

Early Bird Season Ticket Extended
Plaz - no refunds on season tickets so itís the fans who lose out, not the clubs on that one.
IP: Logged
hopesoboro Posted on 25/03/2020 21:02

Early Bird Season Ticket Extended
Some convoluted moaning on this thread![xx(]
IP: Logged
rob_fmttm Posted on 25/03/2020 21:48

Early Bird Season Ticket Extended
I am part of an FSA Championship email group and as far as I know Boro were the first club to extend the early bird deadline - although Cardiff City had already put new season tickets on hold.
Derby followed Boro this morning with an announcement and am wondering if we will see other clubs following suit. Leeds sent an email to fans yesterday reminding them that the early bird deadline was approaching at the end of this week.
IP: Logged
Kent_MFC Posted on 25/03/2020 23:05

Early Bird Season Ticket Extended
Any news on whatís happening with the Hull tickets Rob assuming the season will be null and void
IP: Logged
Indeedido Posted on 25/03/2020 23:33

Early Bird Season Ticket Extended
As I have posted, I expected the Club to do this.
Not sure what they updated their site for yesterday, but common sense has prevailed.
This is now the opportunity to review the whole pricing strategy and emerge better for it.
IP: Logged
myfooty Posted on 26/03/2020 00:33
Edited On: 26/03/2020 00:47
Early Bird Season Ticket Extended
I can't see people rushing to buy seasons tickets. Most people will trying save they money.

Have the club spoke about compensation/refunds for supporters and sponsors etc. if the season is declared null and void?

It seems a bit pointless planning for a new season when we can't complete the current season. What chance do we have of completing a new season.

I think we would be better off completing the current season and playing cups/mini tournaments until all this passes and a new season can be started.
IP: Logged
BigUnit Posted on 26/03/2020 12:25
Edited On: 26/03/2020 12:28
Early Bird Season Ticket Extended
We will need a few friendlies to warm up before the season resumes [^]
Rob, I know your praising the club for being first to act with the Extension to early bird renewals, but it benefits the club firstly as surely no one would renew in the next two weeks and then they would be stuck with expensive season tickets to shift ?


Link:
IP: Logged
plazmuh Posted on 26/03/2020 16:27

Early Bird Season Ticket Extended
The clubs will lose everything..

Wait till you see how stringent the Social

Distancing rules go..

75% reduced capacity for starters..

Thats if you can find enough idiots to attend..

you could be talking YEARS before the Government

relaxes their grip on lockdown
IP: Logged
rob_fmttm Posted on 26/03/2020 17:41

Early Bird Season Ticket Extended
Am not really praising them just pointing out that the Championship as a whole is only just deciding what to do. Will Leeds still stick to this weekend's deadline.
But it is far too early to decide on anything else surely. And this season will end one way or another that seems to be something that has been decided from the world of football as a whole. Or rather whether fans are there or not.
IP: Logged
BigUnit Posted on 27/03/2020 17:03

Early Bird Season Ticket Extended
Fair play Rob [^]
IP: Logged
rob_fmttm Posted on 27/03/2020 17:08

Early Bird Season Ticket Extended
Still not heard of any more clubs acting on this.
It looks like Leeds and Brentford are both keeping deadlines that are approaching very soon.
IP: Logged
Ingleby_Flash1 Posted on 27/03/2020 17:26

Early Bird Season Ticket Extended
I think itís hard to criticise the club for their actions so far.
If the seasonís pulled then surely thereíll be a refund for outstanding games.

That still leaves the whole of the FA and EFL in a right mess.
IP: Logged
GusboroughSteve Posted on 27/03/2020 18:30

Early Bird Season Ticket Extended
Those 2 clubs will possibly get promoted and Brentford ground only holds 12k.
Occurred to me that we may be least affected by loss of match day revenue given most of crowd are ST holders and some of them weren't turning up to buy beer
IP: Logged
hopesoboro Posted on 27/03/2020 18:48

Early Bird Season Ticket Extended
Moan groans alright with me
Moan groan is the way it should be
Moan groan is a good thing
Plant that bell and let it ring!

FFS the club club isn't responsible for Covid19
Mind Vickers is a shifty beggar......too damn close to Gibbo if you ask me.......
IP: Logged
rob_fmttm Posted on 27/03/2020 20:08

Early Bird Season Ticket Extended
QPR have just announced that they have extended the loyalty window for 20/21 season tickets from 30 April to 30 May.

Brentford is an unusual case as they have been selling season tickets for the new ground for a couple of months on a priority basis.
IP: Logged
myfooty Posted on 27/03/2020 21:21

Early Bird Season Ticket Extended
Rob

Have the club said anything about compensation / refunds for 2019/20 season ticket holders if the 2019/20 season is declared null and void?
IP: Logged
hopesoboro Posted on 27/03/2020 22:02

Early Bird Season Ticket Extended
Do you want the club to fold?
IP: Logged
myfooty Posted on 27/03/2020 22:34
Edited On: 27/03/2020 22:53
Early Bird Season Ticket Extended
"Do you want the club to fold? "

No. But I do expect a full refund if the 2019/20 season is declared null and void. Just the same as some people are wanting refunds from TV networks for lack of sport on TV.

I do expect some leagues and a clubs to fold because the poor management of this season by the FA and the leagues. Some of this will be down the the club's owners / directors, The FA, leagues.
IP: Logged
skiprat Posted on 28/03/2020 11:35

Early Bird Season Ticket Extended
Why would you get a full refund? You've already experienced some of the matches.
IP: Logged
the_holgate_roof Posted on 28/03/2020 11:49

Early Bird Season Ticket Extended
A refund would only be pro rata against the number of games missed, I still donít see why it took so long to remove the early bird deadline, when it has been obvious for quite some time that this season and next weíre going to be massively effected, almost like the club had shut down so no info was coming out?
IP: Logged
rob_fmttm Posted on 28/03/2020 11:56

Early Bird Season Ticket Extended
Surely the point was they removed the deadline a couple of weeks before the date. I think it is fair enough they considered everything first.
IP: Logged
Indeedido Posted on 28/03/2020 12:06

Early Bird Season Ticket Extended
As I posted at the time, I agree Rob.
The only thing they have done wrong is reinforce the deadline a couple of days before the postponement announcement.

How the fūck can anybody realistically expect a full season refund if the season is declared null and void?
Strange minds some folk have.[rle]
IP: Logged
the_holgate_roof Posted on 28/03/2020 12:09

Early Bird Season Ticket Extended
What was there to consider really? Were they trying to eek it out as long as possible, trying to worry people into parting with their money???
We are in unprecedented times , times none of us have seen before and the club kept actively promoting this, as if everything was BAU.
IP: Logged
myfooty Posted on 28/03/2020 12:17
Edited On: 28/03/2020 12:27
Early Bird Season Ticket Extended
"Why would you get a full refund? You've already experienced some of the matches. "

I brought season ticket for the 2019/20 season. If the 2019/20 season is null and void it means the season ticket is null and void. That is why I want a full refund if the FA / the leagues / clubs decide to null and void the 2019/20 season.

The clubs are already asking supporters to buy a season ticket for the 2020/21 season. How can they take money when we don't know if it is going to be possible to play the season.
IP: Logged
truck Posted on 28/03/2020 13:20

Early Bird Season Ticket Extended
I had just renewed when they announced the extension, wonder if they will refund it pending finding out exactly what is going to happen
IP: Logged
rob_fmttm Posted on 28/03/2020 13:21

Early Bird Season Ticket Extended
myfooty - we need to stand together with the clubs at times like these.


IP: Logged
The_Downing_Wave Posted on 28/03/2020 13:27
Edited On: 28/03/2020 13:27
Early Bird Season Ticket Extended
You may possibly get a refund for the remaining games on a pro rata basis, a full refund would be highly unlikely.

Personally Iíd be happy to waive any refund whatsoever. I remember 1986 when we almost lost the club, I hope we never get to that kind of situation again.
IP: Logged
myfooty Posted on 28/03/2020 13:55

Early Bird Season Ticket Extended
"myfooty - we need to stand together with the clubs at times like these. "

Rob

I agree but believe that for that to be fair all side need work together to finish this season.

It seems that some clubs / leagues and sections of the FA are happy to take the money from supporters and sponsors etc. for this season and want move on to next season without completing this season.

That is not working together or being fair.

Some clubs, some leagues and some sections of FA are looking out for what benefits them most, with many looking at only they finances and nothing else.

The only I see them wanting to finish this season is if they are forced to refund season ticket and sponsors, TV Networks etc. if they fail to complete the season.


IP: Logged
myfooty Posted on 28/03/2020 14:01

Early Bird Season Ticket Extended
"Personally Iíd be happy to waive any refund whatsoever. I remember 1986 when we almost lost the club, I hope we never get to that kind of situation again. "

That is what those wanting to null and void the season are banking on. So far there have used every excuses going to get people thinking null and void the season is right think to do.

So far most reason giving have been debunked.
IP: Logged
hopesoboro Posted on 28/03/2020 15:12

Early Bird Season Ticket Extended
Suppose we haven't overcome this virus threat in 4,5,6,7,X months......?
IP: Logged
Clingon33 Posted on 28/03/2020 15:46
Edited On: 28/03/2020 16:05
Early Bird Season Ticket Extended
This must be a nightmare for self employed folk and totally get some of the posts above so Im not saying anything other than my wage stagnation from austerity pales into insignificance so Ill 1000% turn back up for Boro next season. (Assuming etc) UTB.
IP: Logged
Indeedido Posted on 29/03/2020 11:59

Early Bird Season Ticket Extended
OK I will bite myfooty.

You pay money to watch a friendly for entertainment when it has no competitive bearing.
You pay money for a SC for entertainment and get a discount based on paying for all matches.
For all the matches that have been played, you have had the chance to watch and get value for the money you have played.
You can't expect a refund based on the competition being voided, as the matches still took place and you got value from the experience you had.
You may want a refund for the matches you will not now enjoy as they may not take place.

I don't expect such a refund, but I might like my loyalty to be reflected in the SC price for next season.
IP: Logged
Cleveleyssmoggie Posted on 29/03/2020 12:17

Early Bird Season Ticket Extended
The club needs to plan and budget, as do we all.

I fully intend paying for my season card a week on Wednesday as originally planned. It will be on card which gives me six weeks before I actually pay for it, a policy I have had for many years.

There will be a lot of unemployed players on July 1st, will we be taking advantage, shopping in the bargain basement or possibly not at all?
IP: Logged
myfooty Posted on 29/03/2020 12:28
Edited On: 29/03/2020 12:31
Early Bird Season Ticket Extended
I wasn't looking for bites.

Some clubs need stop looking for cheapest way out of this or what benefits them most and start focusing on finish the season.

My reason for football wanting a full refund if the season is end with null and void explained as above. A null and void 2019/20 season means my 2019/20 season ticket is null and void. This only way that can us supporters making voices being heard.

If we all say keep my money good sir because I'm a super fan and think it is important that club and players are looked after by supporters during these hard times.

club - owned by someone on the UK richest people list.

players - being paying crazy wages whilst others suffer during these hard times.

I haven't heard anything publicly from and anybody involved with Middlesbrough football club saying they want the season null and void so my issue isn't directly with the club.

Most clubs are in record as wanting to complete the season.
IP: Logged
Indeedido Posted on 29/03/2020 22:40

Early Bird Season Ticket Extended
Of course they want the season completed from a revenue perspective. They won't want Sky or Sponsors to take their money back, nor will they want to have to give refunds on SC's of any type, nor miss out on lost matchday revenue.
But at some point, it will have to end.
Letting things roll on actually solves nothing in the end.

You are smoking dope if you think you should get a refund for the matches that have been played.
IP: Logged
myfooty Posted on 29/03/2020 22:45

Early Bird Season Ticket Extended
"Coronavirus warning: Deadly virus set to last for 'MORE than a year' with winter peak

"Dr Nathalie MacDermott of King's College London claims the spreading of the killer coronavirus will definitely be ongoing for the next few months but warned it could also continue to affect people for over a year."

I have just been reading this and going off this outlook it is pointless trying to start a new season this year.

Link: https://www.express.co.uk/news/uk/1248649/coronavi
IP: Logged
Indeedido Posted on 30/03/2020 08:22

Early Bird Season Ticket Extended
Oh well that's that then[rle]
Pointless trying to plan anything whatesoever then eh?
IP: Logged
Jan_Aage_Fjortoft Posted on 30/03/2020 12:11
Edited On: 30/03/2020 12:15
Early Bird Season Ticket Extended
I don't see how fans can expect their money back in full for season tickets. Fair enough for a pro-rota if any games get cancelled but you've been 'entertained' already for the other games. Whether they end up voiding the season or not. And that's as someone who thinks the club usually takes the XXXXXX out of how they treat fans.

You run the risk by buying your season ticket that it could happen. Or should I claw back the money I've paid Sky Sports? The clubs claw back any goal bonuses / win bonuses they've paid? The TV companies all asking for their money back in full and pretty much finishing nearly every single football club? It's just unreasonable to expect it to happen.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213